#ifndef TRANSADF_GZIP_H
#define TRANSADF_GZIP_H

/*--------------------*/
/* GZip file routines */
/*--------------------*/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif /* EXEC_TYPES_H */

#ifndef DOS_DOS_H
#include <dos/dos.h>
#endif /* DOS_DOS_H */


/*---------------------*/
/* Function prototypes */
/*---------------------*/

BOOL   writeGZHead  (BPTR outFile, STRPTR origName);
BOOL   finishGZFile (BPTR outFile, ULONG CRC, ULONG USize);
BOOL   skipGZHead   (BPTR inFile);
BOOL   readGZTail   (BPTR inFile, ULONG *CRC, ULONG *USize);


#endif /* TRANSADF_GZIP_H */
